﻿@model List<EtatCommande>
<div class="container-fluid" style="display:flex; flex-direction:column;">
    <div class="container mt-3">
        <form asp-controller="Commande" asp-action="RechercheCommande">
            <div class="row">
                <div class="input-group mb-3 col">
                    <div class="btn-group">
                        <button class="btn btn-secondary" type="button">
                            Etats
                        </button>
                        <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="sr-only"></span>
                        </button>
                        <div class="dropdown-menu">
                            @foreach (Etat e in @ViewBag.etats)
                            {

                                <li><a asp-controller="Commande" asp-action="ActionListCommande" asp-route-id="@e.Statut" class="row font-weight-bold text-center nav-link text-dark">@e.Statut</a></li>

                            }

                        </div>
                    </div>

                    <input type="text" name="nom" class="form-control" placeholder="Rechercher une Commande" aria-describedby="basic-addon2">


                    <div class="input-group-append">
                        <Button class="input-group-text btn btn-info" type="submit" id="basic-addon2">Rechercher</Button>
                    </div>
                </div>
            </div>
        </form>
        <small id="passwordHelpBlock" class="form-text text-muted">
            Vous pouvez rechercher une commande par le nom du client ou par son numero.
        </small>
    </div>
    @if (Model != null)
    {
    <table class="table table-secondary mt-4">
        <thead>
            <tr>
                <th scope="col">N°Commande</th>
                <th scope="col">Nombre de Produit</th>
                <th scope="col">Quantite</th>
                <th scope="col">Montant</th>
                <th scope="col">Date Dernier Etat</th>
                <th scope="col">Moyen de paiement</th>
                <th scope="col">Utilisateur</th>
                <th scope="col">Statut</th>
                <th scope="col">infos</th>
            </tr>
        </thead>
        <tbody>
            @foreach (EtatCommande et in @Model)
            {
                <tr>


                    <td >@et.Commande.Id</td>
                    <td>@et.Commande.ProductCommande.Count</td>
                    <td>@et.Commande.Qte</td>
                    <td>@et.Commande.Montant</td>
                    <td>@et.Date</td>
                    <td>@et.Commande.MoyenPaiement.Moyen</td>
                    <td>@et.Commande.Utilisateur.Nom</td>
                    <td>@et.Etat.Statut</td>
                    <td><a asp-controller="Commande" asp-action="DetailsCommande" asp-route-id="@et.Commande.Id">Details</a></td>
                    
                </tr>
            }
            </tbody>
        <tfoot>
        </tfoot>
    </table>
    }
    else { }
</div>
